git-annex-unregisterurl(1)

NAME
git-annex-unregisterurl - unregisters an url for a key

SYNOPSIS
git annex unregisterurl [key url]

DESCRIPTION
This plumbing-level command can be used to unregister urls when keys can no longer be downloaded from them.

Normally the key is a git-annex formatted key. However, when the key cannot be parsed as a key, and is a valid url, a key is generated from the url.

Unregistering a key's last web url will make git-annex no longer treat content as being present in the web special remote. If some other special remote claims the url, unregistering the url will not update presence information for it, because the content may still be present on the remote.

OPTIONS

--remote=name|uuid

    Indicate that the url is expected to be claimed by the specified remote. If some other remote claims the url instead, unregistering it will fail.

    Note that --remote=web will prevent any other remote from claiming the url.

--batch
    In batch input mode, lines are read from stdin, and each line should contain a key and url, separated by a single space.

-z  When in batch mode, the input is delimited by nulls instead of the usual newlines.

--json
    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-error-messages
    Messages that would normally be output to standard error are included in the JSON instead.

Also the git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

git-annex-registerurl(1)

git-annex-reregisterurl(1)

git-annex-rmurl(1)

AUTHOR
Joey Hess <id@joeyh.name>